/*-- web-design --*/
.webbg{ background-color:#eff8fd; }
#WEBbanner{
width: 100%;
height: 600px; 
display: flex; 
flex-direction: column;
background-position: center;
background-repeat: no-repeat;
background-size: cover;
background-color: #100c8a;
position: relative;
overflow: hidden;
}
#WEBbanner .hero-content {
  position: relative;
  z-index: 2;
  padding: 15% 28px 0px;
  max-width: 900px;
  color: #1067ff;
}
#WEBbanner .hero-content h1 {
  margin: 0 0 18px;
  font-size: clamp(32px, 4vw, 54px);
  line-height: 1.1;
  font-weight: 800;
  letter-spacing: 1px;
  color: #1067ff;
}
#WEBbanner .hero-content h2 {
  margin: 0 0 24px;
  font-size: clamp(20px, 2.6vw, 28px);
  font-weight: 500;
  color: #1f72ff;
}
#WEBbanner .features {
  margin: 0 0 28px;
  font-size: clamp(18px, 2.2vw, 26px);
  line-height: 1.6;
  font-weight: 500;
  color: #1f72ff;
}
#WEBbanner .desc {
  margin: 0;
  font-size: clamp(14px, 1.8vw, 18px);
  line-height: 1.6;
  color: #1f72ff;
}

.WEBbox{ width:100%; display:flex; flex-direction:column; }
.WEBbox-one{ width:100%; padding:50px 0px; }
.experience-container {
  width:100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.experience-container h2 {
  margin: 0;
  font-size: clamp(20px, 4vw, 38px);
  line-height: 1.4;
  font-weight: 600;
  color: #000;
  text-align: center;
}
.experience-desc {
  width:460px;
  margin: 20px 0 38px;
  font-size: clamp(14px, 1vw, 16px);
  line-height: 1.5;
  color: #000;
  text-align: center;
}
.circle-list {
  display: flex;
  justify-content: center;
  gap:130px;
  flex-direction: row;
}

.circle-box::after {
  content: "";
  position: absolute;
  width: 20px;
  height: 20px;
  background: #176bff;
  border-radius: 50%;
  box-shadow: 0 0 12px rgba(23, 107, 255, 0.8);
  animation: dotRotate 3s linear infinite;
}
.circle-box {
  position: relative;
  width: 180px;
  height: 180px;
  margin: 20px auto;
  display: flex;
  align-items: center;
  justify-content: center;
}
/* 外层旋转圆环 */
.circle-box::before {
  content: "";
  position: absolute;
  width: 180px;
  height: 180px;
  border-radius: 50%;
  background: conic-gradient(
    from 0deg,
    #176bff,
    transparent 35%,
    #176bff,
    transparent 70%,
    #176bff
  );
  animation: rotateCircle 8s linear infinite;
}
/* 蓝色主圆 */
.circle {
  position: relative;
  z-index: 2;
  width: 160px;
  height: 160px;
  border-radius: 50%;
  background: linear-gradient(145deg, #1c75ff, #0f55e8);
  color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  box-shadow: 0 10px 25px rgba(23, 107, 255, 0.28);
}
.circle strong {
  font-size: 40px;
  font-size: clamp(28px, 4vw, 40px);
  line-height: 1;
  font-weight: 800;
  margin-bottom: 8px;
}
.circle span {
  font-size: 12px;
  font-size: clamp(12px, 1vw, 16px);
  line-height: 1.3;
  white-space: nowrap;
}
@keyframes rotateCircle {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.WEBbox-two{ width:100%; display:flex; }
.design-section {
  width: 100%;
  min-height: 100vh;
  background: #eaf6fc;
  padding: 80px 0 90px;
  overflow: hidden;
}
.design-container {
  width:100%;
  padding-bottom: 80px;
}
.design-row {
  display: grid;
  grid-template-columns: 1fr 1.2fr;
  align-items: center;
  column-gap: 80px;
  padding: 30px 0px;
}
.design-row-bottom {
  grid-template-columns: 1.2fr 1fr;
  align-items: center;
}
/* 文字区域 */
.design-text {
  width:100%;
}
.design-text h2 {
  margin-bottom: 15px;
  font-size: clamp(22px, 3.2vw, 45px);
  line-height: 1.5;
  font-weight:600;
  color: #050505;
  letter-spacing: 1px;
}
.design-text p {
  font-size: clamp(12px, 2.5vw, 16px);
  line-height: 1.4;
  color: #585858;
  text-align: justify;
}
/* 蓝色分割线 */
.line {
  width: 100%;
  height: 1px;
  margin: 34px 0 22px;
  background: #2f86ff;
  opacity: 0.85;
}
/* 图标列表 */
.icon-list {
  display: flex;
  justify-content:flex-start!important;
  align-items: flex-start;
  gap:25px;
}
.icon-item {
  min-width: 60px;
  text-align: center;
  color: #327dff;
}
.icon-item i {
  display: block;
  margin-bottom: 8px;
}
.icon-item span {
  display: block;
  font-size: clamp(12px, 1.5vw, 16px);
  line-height: 1.5;
  color: #585858;
  text-align:center;
  white-space: nowrap;
}

.design-row-top .design-pc {
  position: relative;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}
.design-row-top .design-pc img {
  width: 100%;
  display: block;
  filter: drop-shadow(0 18px 24px rgba(30, 80, 120, 0.12));
}
.design-row-top .design-row-bottom {
  position: relative;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.design-row-bottom .design-pc img {
  width: 100%;
  display: block;
  filter: drop-shadow(0 18px 24px rgba(30, 80, 120, 0.12));
}

.WEBbox-three {
  width: 100%;
  display: flex;
  flex-direction: column;
  background: #ffffff;
  padding: 70px 0px;
}

.why-container {
  width: 100%;
  display: grid;
  grid-template-columns: 1.15fr 0.85fr;
  align-items: center;
  gap: 60px;
}

.why-left {
  min-width: 0;
}

.why-title {
  font-size: clamp(22px, 4vw, 38px);
  font-weight: 800;
  color: #111;
  line-height: 1.2;
  margin-bottom: 4px;
}

.why-en-title {
  font-size: clamp(32px, 4vw, 70px);
  font-weight: 900;
  line-height: 1;
  color: #2468ff;
  letter-spacing: -2px;
  text-transform: uppercase;
  margin-bottom: 20px;
}

.why-desc {
  max-width: 660px;
  font-size: clamp(12px, 4vw, 16px);
  line-height: 1.9;
  color: #000;
  margin-bottom:82px;
}

.device-area {
  position: relative;
  width: 100%;
  max-width: 600px;
  min-height: 320px;
}

.device-area img{
  max-width: 100%;
}

.why-right {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 20px;
  padding-top: 30px;
}

.advantage-card {
  width: 100%;
  max-width: 420px;
  min-height: 86px;
  display: flex;
  align-items: center;
  gap: 18px;
  padding: 18px 26px;
  border-radius: 100px;
  background: #fff;
  box-shadow: 0 7px 16px rgba(0, 0, 0, 0.16);
  transition: all 0.3s ease;
}

.advantage-card:hover {
  transform: translateY(-4px);
  box-shadow: 0 12px 24px rgba(0, 0, 0, 0.18);
}

.advantage-card.active {
  background: #2468ff;
  color: #fff;
}

.advantage-icon {
  flex: 0 0 46px;
  width: 46px;
  height: 46px;
  border-radius: 50%;
  background: #2468ff;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  padding:5px;
  overflow: hidden;
}
.advantage-icon img{ width:100%; }

.advantage-card.active .advantage-icon {
  background: #ffffff;
}

.advantage-info h3 {
  font-size: clamp(16px, 2.5vw, 20px);
  line-height: 1.3;
  margin-bottom: 6px;
  font-weight:600;
}

.advantage-info p {
  font-size:clamp(12px, 1.5vw, 16px);
  line-height: 1.5;
  color: #000;
}

.advantage-card.active .advantage-info p {
  color: #fff;
}

.WEBbox-four{ width:100%; display:flex; flex-direction:column; padding:20px 0px 60px; background-color:#eff8fd; }
.four-header { width: 100%; text-align: center; display: flex; justify-content: center; align-items: center; flex-direction: column; 
padding: 40px 0px; gap:20px;}
.four-header h2{
font-size: clamp(22px, 4vw, 38px);
color: #000;
font-weight: 600;
padding: 15px 0px 0px 0px;
letter-spacing: 0.5px;
display: flex;
align-items: center;
justify-content: center;
gap: 30px;
}
.four-header h2::before,
.four-header h2::after{
content: '';
display: block;
width: 8px;
height: 8px;
border-radius: 50%;
background-color: #1b63fd;
}

.process-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 20px;
}
.process-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex: 0 0 auto;
  min-width: 150px;
  position: relative;
}
.process-icon {
  width: 95px;
  height: 95px;
  border-radius: 360%;
  background-color: #1b63fd;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 10px;
  font-size: 24px;
  color: #fff;
}
.process-icon img{ width:100%; }
.process-text {
  padding: 10px 5px;
  font-size: clamp(14px, 2.5vw, 18px);
  color: #3c3c3c;
  line-height: 1.4;
}
.process-item:not(:last-child)::after {
  content: "";
  position: absolute;
  width: 60px;
  height: 60px;
  background-image: url("../img/images/20260513/web/right.svg");
  background-repeat: no-repeat;
  background-size: contain;
  right: -40px;
  top: 20px;
}

@media (max-width:1430px) {
#WEBbanner{height:500px; }
#WEBbanner .hero-content {
    padding: 10% 28px 0px;
 }
}

@media (max-width:1230px) {
#WEBbanner{height:430px; }
#WEBbanner .hero-content {
    padding: 8% 28px 0px;
}
.circle-list{ gap:90px ;}
}

@media (max-width: 1080px) {
#WEBbanner{height:360px; }
#WEBbanner .hero-content h2 {
    margin: 0 0 18px;
}
#WEBbanner .features {
    margin: 0 0 18px;
}
.circle-list{ gap:50px ;}
}

@media (max-width: 991px) {

}

/* 移动端优化 */
@media (max-width: 768px) {
  #WEBbanner{ height: 270px;}
  #WEBbanner .hero-content {
    padding: 50px 0px 0px;
    max-width:80%;
  }
  #WEBbanner .hero-content h1 {
    margin: 0 0 10px;
    font-size: 22px;
    line-height: 1.3;
  }
  #WEBbanner .hero-content h2 {
    margin: 0 0 20px;
    font-size:18px;
  }
  #WEBbanner .features {
    margin: 0 0 20px;
    font-size: 16px;
  }
  #WEBbanner .desc {
    font-size: 14px;
  }
  .experience-desc {
    width:100%;
    margin: 20px 0 25px;
  }

.circle-list {
  gap:12px;
}
.circle-box {
  width: 140px;
  height: 140px;
}
.circle-box::before {
  width: 140px;
  height: 140px;
}
.circle {
  width: 120px;
  height: 120px;
}
.circle strong {
  font-size:30px;
}

.WEBbox-one{ padding:50px 0px 0px; }

.design-section {
  padding:40px 0px;
}
.design-container {
  padding-bottom:40px;
}
.design-row {
  display:flex;
  justify-content:flex-start;
  flex-direction: column;
  align-items: center;
  gap:20px;
  padding:20px 0px;
}
.design-row-bottom {
  display:flex;
  justify-content:flex-start;
  flex-direction: column-reverse;
}
.design-text h2 {
  margin-bottom: 10px;
  font-size: 18px;
  line-height: 1.5;
}
.design-text p {
  font-size: 13px;
}
.line {
  margin: 20px 0;
}
.icon-list {
  gap:15px;
}
.icon-item img{ width:35px;}

.WEBbox-three {
  padding:50px 0px 60px;
}
.why-container {
  grid-template-columns: 1fr;
  gap: 20px;
}

.why-title {
  font-size:20px;
}

.why-en-title {
  font-size:28px;
  margin-bottom:10px;
}

.why-desc {
  max-width:100%;
  font-size:14px;
  margin-bottom:20px;
}

.device-area {
  max-width:100%;
  min-height:auto;
}

.why-right {
  gap:15px;
  padding-top:20px;
}

.advantage-card {
  max-width:100%;
  gap: 15px;
  padding:15px;
}

.WEBbox-four{ padding:20px 0px 50px; }
.four-header { padding:20px 0px; gap:15px;}
.process-list {
  gap:10px;
}
.process-item {
  min-width:110px;
}
.process-icon {
  width:75px;
  height:75px;
  margin-bottom: 10px;
  font-size:15px;
}
.process-icon img{ width:40px; }
.process-text {
  padding: 10px 5px;
  font-size: clamp(14px, 2.5vw, 18px);
  color: #3c3c3c;
  line-height: 1.4;
}
.process-item:not(:last-child)::after {
  width:40px;
  height:40px;
  right:-25px;
  top: 20px;
}
}

@media (max-width: 480px) {
#WEBbanner{ height: 200px;}
#WEBbanner .hero-content {
  padding: 30px 0px 0px;
  max-width:70%;
}
#WEBbanner .hero-content h1 {
  margin: 0 0 10px;
  font-size: 18px;
  line-height: 1.3;
}
#WEBbanner .hero-content h2 {
  margin: 0 0 5px;
  font-size:16px;
}
#WEBbanner .features {
  margin: 0 0 5px;
  font-size: 14px;
}
#WEBbanner .desc {
  font-size: 12px;
}

.circle-box {
  width: 160px;
  height: 160px;
  margin: 30px auto;
}
.circle-list {
  gap:8px;
}
.circle-box {
  width: 110px;
  height: 110px;
}
.circle-box::before {
  width: 110px;
  height: 110px;
}
.circle {
  width: 100px;
  height: 100px;
}
.circle strong {
  font-size:26px;
}
@media (max-width: 380px) {
.process-list {
  gap:10px;
}
.process-item {
  min-width:100px;
}
.process-icon {
  width: 75px;
  height: 75px;
}
.process-icon img{ width:30px; }
.process-item:not(:last-child)::after {
  width: 30px;
  height: 30px;
  right: -20px;
  top: 20px;
}
}
}